Subject: Re: [PATCH 1/4 tip/sched/core] sched: rename preempt_notifier to sched_notifier and always enable it

From: Tejun Heo <[email-masked]>
Date: Thu, 26 Nov 2009 19:44:22 +0900

Hello, Ingo.

11/26/2009 07:29 PM, Ingo Molnar wrote:
> That could be done with just two callbacks - one for sched-out, one for 
> sched-in.
> 
> The best way to do that would be to use two TRACE_EVENT() callbacks, 
> make them unconditional and register to them. (with wrappers to make it 
> all convenient to use)
> 
> This requires some work but needs to be done.

Thought about that but trace events and scheduler callbacks have very
different trigger enable/disable conditions.  I couldn't think of a
way to do both in reasonably efficient manner.  Although they both are
notification mechanisms, they do have pretty different requirements
and I'm not quite sure whether unifying them is a good idea.  Of
course if you have an idea to do both efficiently, no reason not to do
it.

Thanks.

-- 
tejun